Read what a browser needs to subscribe to push notifications
GET /api/member/push-config. Read what a browser needs to subscribe to push notifications. Headless LMS Notifications API reference.
For anyone signed in to the organization. vapidPublicKey is the applicationServerKey for pushManager.subscribe, or null when Web Push is not configured.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/member/push-config"{ "vapidPublicKey": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}